# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros
%define keepstatic 1

Name:       lua
Summary:    Powerful light-weight programming language
Version:    5.1.5
Release:    6
Group:      Development/Languages
License:    MIT
URL:        http://www.lua.org/
Source0:    http://www.lua.org/ftp/lua-%{version}.tar.gz
Source100:  lua.yaml
Patch0:     lua-5.1.5-autotoolize.patch
Patch1:     buildfix.patch
BuildRequires:  pkgconfig(ncurses)


%description
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.



%package -n liblua
Summary:    The Lua library
Group:      System/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n liblua
This package contains the shared version of liblua for %{name}.

%package static
Summary:    Static library for %{name}
Group:      Development/Libraries
Requires:   lua-devel = %{version}-%{release}

%description static
This package contains the static version of liblua for %{name}.

%package devel
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   liblua = %{version}-%{release}

%description devel
This package contains development files for %{name}.


%prep
%setup -q -n %{name}-%{version}

# lua-5.1.5-autotoolize.patch
%patch0 -p1
# buildfix.patch
%patch1 -p1
# >> setup
# << setup

%build
# >> build pre
# fix perms on auto files
chmod u+x autogen.sh config.guess config.sub configure depcomp install-sh missing
# << build pre

%configure  \
    --without-readline

make %{?jobs:-j%jobs}

# >> build post
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# hack so that only /usr/bin/lua gets linked with readline as it is the
# only one which needs this and otherwise we get License troubles
make %{?_smp_mflags} LIBS="-ldl" luac_LDADD="liblua.la -lm -ldl"
# also remove readline from lua.pc
sed -i 's/-lreadline -lncurses //g' etc/lua.pc



# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post
# << install post







%post -n liblua -p /sbin/ldconfig

%postun -n liblua -p /sbin/ldconfig







%files
%defattr(-,root,root,-)
# >> files
%doc COPYRIGHT HISTORY README
%{_bindir}/lua*
%doc %{_mandir}/man1/lua*.1*
# << files


%files -n liblua
%defattr(-,root,root,-)
# >> files liblua
%{_libdir}/liblua-*.so
# << files liblua

%files static
%defattr(-,root,root,-)
# >> files static
%{_libdir}/*.a
# << files static

%files devel
%defattr(-,root,root,-)
# >> files devel
%doc doc/*.css doc/*.gif doc/*.html doc/*.png
%{_includedir}/l*.h
%{_includedir}/l*.hpp
%{_libdir}/liblua.so
%{_libdir}/pkgconfig/*.pc
# << files devel

